Your message dated Fri, 07 Jan 2011 15:17:08 +0000
with message-id <[email protected]>
and subject line Bug#607976: fixed in acpi-support 0.138-6
has caused the Debian Bug report #607976,
regarding acpi-support: asus-wireless.sh, a few forks less
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact [email protected]
immediately.)


-- 
607976: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=607976
Debian Bug Tracking System
Contact [email protected] with problems
--- Begin Message ---
Package: acpi-support
Version: 0.138-5
Severity: normal
Tags: patch

Consumes less resources.

-- System Information:
Debian Release: 6.0
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-5-686 (SMP w/2 CPU cores)
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/bash

Versions of packages acpi-support depends on:
ii  acpi-fakekey                  0.138-5    tool to generate fake key events
ii  acpi-support-base             0.138-5    scripts for handling base ACPI eve
ii  acpid                         1:2.0.7-1  Advanced Configuration and Power I
ii  lsb-base                      3.2-26     Linux Standard Base 3.2 init scrip
ii  pm-utils                      1.3.0-3    utilities and scripts for power ma
ii  x11-xserver-utils             7.5+2      X server utilities

Versions of packages acpi-support recommends:
ii  dbus                          1.2.24-4   simple interprocess messaging syst
pn  radeontool                    <none>     (no description available)
ii  vbetool                       1.1-2      run real-mode video BIOS code to a
pn  xscreensaver | gnome-screensa <none>     (no description available)

Versions of packages acpi-support suggests:
ii  rfkill                        0.4-1      tool for enabling and disabling wi
ii  xinput                        1.5.3-1    Runtime configuration and test of

-- no debconf information


Cheers,

-- 
Cristian
--- debian/acpi-support/etc/acpi/asus-wireless.sh.orig	2010-12-19 23:32:58.000000000 +0100
+++ debian/acpi-support/etc/acpi/asus-wireless.sh	2010-12-20 17:27:08.000000000 +0100
@@ -5,12 +5,18 @@ test -f /usr/share/acpi-support/state-fu
 
 . /usr/share/acpi-support/state-funcs
 
-VENDOR=`cat /sys/class/dmi/id/sys_vendor | tr [:upper:] [:lower:] | cut -c1-4`
-test $VENDOR = "asus" || exit 0
+read vendor </sys/class/dmi/id/sys_vendor 2>/dev/null || exit 0
+case $vendor in
+	[As][Ss][Uu][Ss]*)
+		;;
+	*)
+		exit 0
+		;;
+esac
 
 if [ "$1" = "" ] ; then
 	toggleAllWirelessStates;
-elif ( isAnyWirelessPoweredOn ) ; then
+elif isAnyWirelessPoweredOn; then
 	if [ "$1" = "off" ] ; then
 		toggleAllWirelessStates;
 	fi

--- End Message ---
--- Begin Message ---
Source: acpi-support
Source-Version: 0.138-6

We believe that the bug you reported is fixed in the latest version of
acpi-support, which is due to be installed in the Debian FTP archive:

acpi-fakekey_0.138-6_amd64.deb
  to main/a/acpi-support/acpi-fakekey_0.138-6_amd64.deb
acpi-support-base_0.138-6_all.deb
  to main/a/acpi-support/acpi-support-base_0.138-6_all.deb
acpi-support_0.138-6.diff.gz
  to main/a/acpi-support/acpi-support_0.138-6.diff.gz
acpi-support_0.138-6.dsc
  to main/a/acpi-support/acpi-support_0.138-6.dsc
acpi-support_0.138-6_all.deb
  to main/a/acpi-support/acpi-support_0.138-6_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to [email protected],
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Michael Meskes <[email protected]> (supplier of updated acpi-support package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing [email protected])


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 07 Jan 2011 15:44:35 +0100
Source: acpi-support
Binary: acpi-support acpi-support-base acpi-fakekey
Architecture: source all amd64
Version: 0.138-6
Distribution: unstable
Urgency: low
Maintainer: Debian Acpi Team <[email protected]>
Changed-By: Michael Meskes <[email protected]>
Description: 
 acpi-fakekey - tool to generate fake key events
 acpi-support - scripts for handling many ACPI events
 acpi-support-base - scripts for handling base ACPI events such as the power 
button
Closes: 607624 607976 607981 608040 608117
Changes: 
 acpi-support (0.138-6) unstable; urgency=low
 .
   * Further improvements on power-funcs (Closes: #607981) - thanks to
     Cristian Ionescu-Idbohrn <[email protected]>
   * Cleaned up asus-touchpad.sh and improved error handling (Closes:
     #607624) - thanks to Cristian Ionescu-Idbohrn <cristian.ionescu-
     [email protected]>
   * Optimize asus-wireless.sh to consume a few cpu cycles less. (Closes:
     #607976) - thanks to Cristian Ionescu-Idbohrn <cristian.ionescu-
     [email protected]>
   * Replaced cat with builtin read (Closes: #608040) - thanks to
     Cristian Ionescu-Idbohrn <[email protected]>
   * Cleaned up and re-diffed patches.
   * Quote name of scripts executed from init script to cope with blanks.
     (Closes: #608117)
Checksums-Sha1: 
 efeaf3eb8d555de9e51255f70bfe4b51beef6e78 1234 acpi-support_0.138-6.dsc
 0b5add3c5b79173ca2b5e26f1392592b6655a143 61570 acpi-support_0.138-6.diff.gz
 c2d1d9678fa5283669a1872d4822a9431f4f1891 51624 acpi-support_0.138-6_all.deb
 bc4778d1fe1c2396e6ad86744294d4eb9525d7e2 20712 
acpi-support-base_0.138-6_all.deb
 ca88cdc2bd24aebfd2c157e086b1d83795de6eac 22672 acpi-fakekey_0.138-6_amd64.deb
Checksums-Sha256: 
 734b8b45746050fe913b196660ac0024da76cab603c14da05d488feb38653c34 1234 
acpi-support_0.138-6.dsc
 1105820ba851e005341c5571b12bb599b9b25027afcdd28025db9f80f0d35df9 61570 
acpi-support_0.138-6.diff.gz
 949c665773d5afaf9563c310686114b2905e05ed7eaa3e8a5c357cba5cb49c9e 51624 
acpi-support_0.138-6_all.deb
 ad7e8bd1a7a326550a793a379c6f6b231eec4eb20b199bbd9efd73b70d718cae 20712 
acpi-support-base_0.138-6_all.deb
 63c82cfa77e7c867736a2c86c116a18db671d44f1bae0564f308abbb3df4c606 22672 
acpi-fakekey_0.138-6_amd64.deb
Files: 
 2c6505820256c594f73cfca9f010cb3e 1234 admin optional acpi-support_0.138-6.dsc
 d71a8e25cdebe3eb6abbd6437da773a8 61570 admin optional 
acpi-support_0.138-6.diff.gz
 d9bccb64f5ecd34b8e266d087cfc4f64 51624 admin optional 
acpi-support_0.138-6_all.deb
 3b5b50f25903a5497e646d3759f044e2 20712 admin optional 
acpi-support-base_0.138-6_all.deb
 be1a17ab2983783f7f91923e05172434 22672 admin optional 
acpi-fakekey_0.138-6_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iD8DBQFNJyemVkEm8inxm9ERAlUCAJ9PGXtPvmeJ2CiFfYuWcpjTEahSqwCfStPm
AV3mwFQAXiusOYAF4R1ZXnE=
=UWXi
-----END PGP SIGNATURE-----



--- End Message ---

Reply via email to